# Poco::MongoDB::Connection

# class SocketFactory

Library: MongoDB
Package: MongoDB
Header: Poco/MongoDB/Connection.h

## Member Summary

Member Functions: createSocket

## Constructors

### SocketFactory

SocketFactory();

Creates the SocketFactory.

## Destructor

### ~SocketFactory

virtual ~SocketFactory();

Destroys the SocketFactory.

## Member Functions

### createSocket

virtual Poco::Net::StreamSocket createSocket(
const std::string & host,
int port,
Poco::Timespan connectTimeout,
bool secure
);

Creates a Poco::Net::StreamSocket (if secure is false), or a Poco::Net::SecureStreamSocket (if secure is true) connected to the given host and port number.

The default implementation will throw a Poco::NotImplementedException if secure is true.